# Uses of Interface
org.eclipse.net4j.db.IDBSchemaTransaction

Packages that use IDBSchemaTransaction
Package
Description
org.eclipse.net4j.db
The Net4j DB framework.
org.eclipse.net4j.spi.db
Server service provider interfaces and useful base implementations for the Net4j DB framework.

## Uses of IDBSchemaTransaction in org.eclipse.net4j.db

Methods in org.eclipse.net4j.db that return IDBSchemaTransaction
Modifier and Type
Method
Description
`IDBSchemaTransaction`
IDBDatabase.`getSchemaTransaction()`
Deprecated.
As of 4.7 no longer supported in favor of support for multiple schema transactions.
`IDBSchemaTransaction`
IDBAdapter.`openSchemaTransaction(IDBDatabase database, IDBConnection currentConnection)`
Opens a schema transaction through the adapter extension point.
`IDBSchemaTransaction`
IDBConnection.`openSchemaTransaction()`
`IDBSchemaTransaction`
IDBDatabase.`openSchemaTransaction()`
`IDBSchemaTransaction`
IDBDatabase.`openSchemaTransaction(IDBConnection connection)`

## Uses of IDBSchemaTransaction in org.eclipse.net4j.spi.db

Methods in org.eclipse.net4j.spi.db that return IDBSchemaTransaction
Modifier and Type
Method
Description
`IDBSchemaTransaction`
DBAdapter.`openSchemaTransaction(IDBDatabase database, IDBConnection currentConnection)`
`IDBSchemaTransaction`
DelegatingDBAdapter.`openSchemaTransaction(IDBDatabase database, IDBConnection currentConnection)`